Skip to main content

List Lock Types

Get a list of all lock types currently used in the lake. This helps collectors understand what metadata fields are available for searching.

Endpoint

GET /dock/lock-types

Request

curl -X GET https://api.docyard.io/v1/dock/lock-types \
  -H "X-API-Key: dk_live_coll_aaaaaaaa" \
  -H "X-API-Secret: dk_secret_coll_bbbbbbbb"

Response

{
  "lock_types": [
    {
      "name": "policy_number",
      "data_type": "string",
      "usage_count": 15420,
      "collectors_with_access": 45
    },
    {
      "name": "loan_number",
      "data_type": "string",
      "usage_count": 8932,
      "collectors_with_access": 32
    },
    {
      "name": "mortgagee_name",
      "data_type": "string",
      "usage_count": 7231,
      "collectors_with_access": 67
    },
    {
      "name": "effective_date",
      "data_type": "date",
      "usage_count": 12453,
      "collectors_with_access": 89
    }
  ]
}